<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>The Terrifics</Series>
  <Number>021</Number>
  <Web>https://www.comixology.com/The-Terrifics-2018-21/digital-comic/812553</Web>
  <Volume>2018</Volume>
  <Summary>“If Me Could Turn Back Time” part two! Bizarro and the Terribles have invaded Earth-0 with a mission: turn back the clock. Armed with a time machine given to him by Lex Luthor, the one and only Man of YesterdayTM is determined to reverse progress in the Multiverse to a simpler time, a stupider time you might say. A bizarre time. So who’s going to stop this regression transgression? The Terrifics, that’s who!</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB812553], [RELDATE:2019-10-23]</Notes>
  <Publisher>DC</Publisher>
  <Genre>Superhero</Genre>
  <PageCount>24</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
